Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/php-rrd: APKBUILD recreated with apkbuild-pecl. No rebuild needed.

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Fri, 6 Nov 2015 23:49:04 +0200

---
 testing/php-rrd/APKBUILD | 30 +++++++++++-------------------
 1 file changed, 11 insertions(+), 19 deletions(-)
diff --git a/testing/php-rrd/APKBUILD b/testing/php-rrd/APKBUILD
index e1c229a..ba235d7 100644
--- a/testing/php-rrd/APKBUILD
+++ b/testing/php-rrd/APKBUILD
_at_@ -1,30 +1,22 @@
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
 # Maintainer: Diaz Devera Victor <vitronic2_at_gmail.com>
-
 pkgname=php-rrd
+_pkgreal=rrd
 pkgver=1.1.3
+_pkgver=${pkgver/_rc/RC}
 pkgrel=0
-pkgdesc="PHP bindings to rrd tool system"
-url="http://pecl.php.net/package/rrd"
+pkgdesc="PHP extension that provides bindings to rrd tool system"
+url="http://pecl.php.net/package/$_pkgreal"
 arch="all"
 license="PHP"
 depends=
-depends_dev="php-dev"
-makedepends="$depends_dev rrdtool-dev autoconf"
+pecldepends="php-dev autoconf"
+makedepends="$pecldepends rrdtool-dev"
 install=""
 subpackages=""
-source="http://pecl.php.net/get/rrd-$pkgver.tgz"
-
-_builddir="$srcdir/rrd-$pkgver"
+source="http://pecl.php.net/get/$_pkgreal-$_pkgver.tgz"
 
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
+_builddir="$srcdir"/$_pkgreal-$_pkgver
 
 build() {
 	cd "$_builddir"
_at_@ -35,9 +27,9 @@ build() {
 
 package() {
 	cd "$_builddir"
-	make INSTALL_ROOT="$pkgdir/" install || return 1
+	make INSTALL_ROOT="$pkgdir"/ install || return 1
 	install -d "$pkgdir"/etc/php/conf.d || return 1
-	echo "extension=rrd.so" > "$pkgdir"/etc/php/conf.d/rrd.ini
+	echo "extension=$_pkgreal.so" > "$pkgdir"/etc/php/conf.d/$_pkgreal.ini
 }
 
 md5sums="bde6c50fa2aa39090ed22e574ac71c5a  rrd-1.1.3.tgz"
-- 
2.6.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Nov 06 2015 - 23:49:04 GMT